using Cysharp.Threading.Tasks;

namespace Net.BITKit.Teleport
{
    public interface IMyRemoteInterface
    {
        public string Func(string name);
        public UniTask<string> FuncAsync(string name);
    }

    public class MyRemoteInterface : IMyRemoteInterface
    {
        public string Func(string name)
        {
            return $"Hello, {name}!";
        }

        public UniTask<string> FuncAsync(string name)
        {
            return UniTask.FromResult($"Hello, {name}!");
        }
    }
}